// @/api/his/prescribeDrug.js
import request from '@/utils/request'

// 查询处方药品列表
export function listPrescribeDrug(query) {
  return request({
    url: '/his/prescribeDrug/list',
    method: 'get',
    params: query
  })
}

// 新增处方药品
export function addPrescribeDrug(data) {
  return request({
    url: '/his/prescribeDrug/add',
    method: 'post',
    data: data
  })
}

// 修改处方药品
export function updatePrescribeDrug(data) {
  return request({
    url: '/his/prescribeDrug/update',
    method: 'post',
    data: data
  })
}

// 删除处方药品
export function deletePrescribeDrug(drugId) {
  return request({
    url: '/his/prescribeDrug/delete',
    method: 'post',
    params: { drugId: drugId }
  })
}
